curl --request POST \
--url https://data.apartmentiq.io/apartmentiq/api/v1/geo_boundaries/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "your_account_id"
}
'{
"data": [
{
"id": "1",
"type": "geo_boundary_search_result",
"attributes": {
"id": 1,
"name": "Raleigh-Cary, NC Metro Area",
"description": "Raleigh-Cary, NC",
"geo_type": "MSA",
"centroid": [
35.7567464,
-78.4604412
],
"property_count": 8053,
"place_type": null
}
},
{
"id": "2",
"type": "geo_boundary_search_result",
"attributes": {
"id": 2,
"name": "Raleigh, NC",
"description": "Raleigh city, North Carolina",
"geo_type": "CensusPlace",
"centroid": [
35.835066941818184,
-78.61623107999999
],
"property_count": 3098,
"place_type": "city"
}
}
]
}{
"error": "Invalid geo type: InvalidType"
}{
"error": "Invalid parameter",
"message": "account_id is required",
"errors": [
"<string>"
],
"quota_limit": 123,
"quota_usage": 123
}{
"error": "Invalid parameter",
"message": "account_id is required",
"errors": [
"<string>"
],
"quota_limit": 123,
"quota_usage": 123
}You have exceeded the rate limit for this API.
Search Geo Boundaries
Searches for geo boundaries by name and type. Returns matching geographic areas including MSAs, Submarkets, Census Places (Cities, Towns, etc.), Counties, Zip Codes, and Neighborhoods. Result order is weighted by property count and geo type relevance.
curl --request POST \
--url https://data.apartmentiq.io/apartmentiq/api/v1/geo_boundaries/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "your_account_id"
}
'{
"data": [
{
"id": "1",
"type": "geo_boundary_search_result",
"attributes": {
"id": 1,
"name": "Raleigh-Cary, NC Metro Area",
"description": "Raleigh-Cary, NC",
"geo_type": "MSA",
"centroid": [
35.7567464,
-78.4604412
],
"property_count": 8053,
"place_type": null
}
},
{
"id": "2",
"type": "geo_boundary_search_result",
"attributes": {
"id": 2,
"name": "Raleigh, NC",
"description": "Raleigh city, North Carolina",
"geo_type": "CensusPlace",
"centroid": [
35.835066941818184,
-78.61623107999999
],
"property_count": 3098,
"place_type": "city"
}
}
]
}{
"error": "Invalid geo type: InvalidType"
}{
"error": "Invalid parameter",
"message": "account_id is required",
"errors": [
"<string>"
],
"quota_limit": 123,
"quota_usage": 123
}{
"error": "Invalid parameter",
"message": "account_id is required",
"errors": [
"<string>"
],
"quota_limit": 123,
"quota_usage": 123
}You have exceeded the rate limit for this API.
Authorizations
Enter a Bearer token obtained via the OAuth client credentials flow or from the Access Tokens tab in your account settings.
- Token URL
- https://data.apartmentiq.io/oauth/token
Body
The ID of the account you're requesting data for.
1111
The search query for geo boundary names. Supports partial matching and word start matching. Use '*' or omit to return all boundaries.
"raleigh"
Filter results by geo boundary type(s). Can be a single value or an array of values. If not provided, all types are returned.
MSA, BespokeSubmarket, CensusPlace, ZipCode, County, Neighborhood ["MSA", "BespokeSubmarket"]
Maximum number of results to return. Must be between 1 and 1000.
1 <= x <= 100010
Filter results to boundaries that intersect with this geo boundary ID.
123
Response
Successfully retrieved matching geo boundaries.
Array of geo boundary search results
Show child attributes
Show child attributes